Skip to content

# Interface: TabsProps ‹D›

## Type parameters

▪ D

## Hierarchy

- TabsContextValue‹D›

- object

↳ TabsProps

## Index

### Properties

- autoFocus
- center
- className
- scrollable
- value
- withBorder
- wrap

### Methods

- onChange

## Properties

### `Optional` autoFocus

• autoFocus? : boolean

Inherited from TabsProps.autoFocus

Defined in src/renderer/components/tabs/tabs.tsx:9

### `Optional` center

• center? : boolean

Defined in src/renderer/components/tabs/tabs.tsx:19

### `Optional` className

• className? : string

Defined in src/renderer/components/tabs/tabs.tsx:18

### `Optional` scrollable

• scrollable? : boolean

Defined in src/renderer/components/tabs/tabs.tsx:21

### `Optional` value

• value? : D

Inherited from TabsProps.value

Defined in src/renderer/components/tabs/tabs.tsx:11

### `Optional` withBorder

• withBorder? : boolean

Inherited from TabsProps.withBorder

Defined in src/renderer/components/tabs/tabs.tsx:10

### `Optional` wrap

• wrap? : boolean

Defined in src/renderer/components/tabs/tabs.tsx:20

## Methods

### `Optional` onChange

▸ onChange(`value`: D): void

Inherited from TabsProps.onChange

Defined in src/renderer/components/tabs/tabs.tsx:12

Parameters:

Name | Type
--- | ---
`value` | D

Returns: void